NNG_DIALER_CLOSE(3)

NAME
nng_dialer_close - close dialer

SYNOPSIS

    #include <nng/nng.h>

    int nng_dialer_close(nng_dialer d);

DESCRIPTION

The nng_dialer_close() function closes the dialer d. This also closes any nng_pipe objects that have been created by the dialer.

Once this function returns, the dialer d and any of its resources are deallocated. Therefore it is an error to attempt to access d after this function has returned. (Attempts to do so will result in NNG_ECLOSED errors.)

Dialers are implicitly closed when the socket they are associated with is closed.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ECLOSED
    Parameter d does not refer to an open dialer.

SEE ALSO

nng_close(3), nng_dial(3), nng_dialer_create(3) nng_strerror(3), nng_dialer(5), nng(7)